import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:sk_base_mobile/screens/inventory_inout/inventory_inout_controller.dart';
import 'package:sk_base_mobile/util/util.dart';

class Dates extends StatelessWidget {
  Dates({super.key, required this.index});
  final int index;
  final controller = Get.put(InventoryInoutController());
  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      children: [
        Obx(
          () => Text(
            DateUtil.getMonth(DateTime.now().add(Duration(days: -index))),
            style: TextStyle(
                color: controller.currentIndex.value == index
                    ? Colors.white
                    : Colors.black,
                fontWeight: FontWeight.bold,
                fontSize: ScreenAdaper.sp(18),
                height: 0),
          ),
        ),
        Obx(
          () => Text(
            DateUtil.getDate(DateTime.now().add(Duration(days: -index))),
            style: TextStyle(
                color: controller.currentIndex.value == index
                    ? Colors.white
                    : Colors.black,
                fontWeight: FontWeight.bold,
                fontSize: ScreenAdaper.sp(30),
                height: 0),
          ),
        ),
        Obx(
          () => Text(
            DateUtil.getDay(DateTime.now().add(Duration(days: -index))),
            style: TextStyle(
                color: controller.currentIndex.value == index
                    ? Colors.white
                    : Colors.black,
                fontWeight: FontWeight.bold,
                fontSize: ScreenAdaper.sp(16)),
          ),
        )
      ],
    );
  }
}
